<?php

namespace Dipper\Foundation\Debugger;

use Illuminate\Support\ServiceProvider;
use Jenssegers\Agent\AgentServiceProvider;
use Dipper\Foundation\Debugger\Queries\QueryDebuggerJob;
use Dipper\Foundation\Debugger\Requests\RequestsMonitorMiddleware;

class DebuggererviceProvider extends ServiceProvider
{
    public function register()
    {
        $this->app->register(AgentServiceProvider::class);
        $this->app->middleware([RequestsMonitorMiddleware::class]);
        (new QueryDebuggerJob)->handle();
    }
}
